/**
 * Arduino Uno - Blink minimal size sketch
 * v. 1.0
 * Copyright (C) 2015 Robert Ulbricht
 *
 * Blinking without Arduino libraries
 * IDE 1.0.6 - 210 bytes
 * IDE 1.6.0 - 176 bytes
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <avr/io.h>
#include <avr/delay.h>

int main() {
  DDRB|=(1<<DDB5);
  //pinMode(13,OUTPUT);
  
  for(;;) {
    PORTB|=(1<<PORTB5);
    //digitalWrite(13,HIGH);
    
    _delay_ms(1000);
    
    PORTB&=~(1<<PORTB5);
    //digitalWrite(13,LOW);
    
    _delay_ms(1000);
  }
  return 0;
}
